Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAccount.Builder

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccount.Builder

Enclosing class:
  `VoiceAccount`

public static class VoiceAccount.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceAccount`
  `build()`
  `VoiceAccount.Builder`
  `setAccessCode(int accessCode)`
  `VoiceAccount.Builder`
  `setComment(String comment)`
  `VoiceAccount.Builder`
  `setContractId(int contractId)`
  `VoiceAccount.Builder`
  `setContractObjectId(int contractObjectId)`
  `VoiceAccount.Builder`
  `setDateFrom(Date dateFrom)`
  `VoiceAccount.Builder`
  `setDateTo(Date dateTo)`
  `VoiceAccount.Builder`
  `setDeviceId(int deviceId)`
  `VoiceAccount.Builder`
  `setDeviceState(VoiceAccountState deviceState)`
  `VoiceAccount.Builder`
  `setLineCount(int value)`
  `VoiceAccount.Builder`
  `setLogin(String login)`
  `VoiceAccount.Builder`
  `setNumber(long number)`
  `VoiceAccount.Builder`
  `setObjectId(int objectId)`
  `VoiceAccount.Builder`
  `setPassword(String passwd)`
  `VoiceAccount.Builder`
  `setPorts(String ports)`
  `VoiceAccount.Builder`
  `setSessionCountLimit(byte sessionCountLimit)`
  `VoiceAccount.Builder`
  `setStatus(VoiceAccountStatus status)`
  `VoiceAccount.Builder`
  `setTypeId(int typeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setContractId

    public VoiceAccount.Builder setContractId(int contractId)

  - ### setObjectId

    public VoiceAccount.Builder setObjectId(int objectId)

  - ### setTypeId

    public VoiceAccount.Builder setTypeId(int typeId)

  - ### setNumber

    public VoiceAccount.Builder setNumber(long number)

  - ### setDateFrom

    public VoiceAccount.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public VoiceAccount.Builder setDateTo(Date dateTo)

  - ### setDeviceId

    public VoiceAccount.Builder setDeviceId(int deviceId)

  - ### setSessionCountLimit

    public VoiceAccount.Builder setSessionCountLimit(byte sessionCountLimit)

  - ### setStatus

    public VoiceAccount.Builder setStatus(VoiceAccountStatus status)

  - ### setComment

    public VoiceAccount.Builder setComment(String comment)

  - ### setLogin

    public VoiceAccount.Builder setLogin(String login)

  - ### setPassword

    public VoiceAccount.Builder setPassword(String passwd)

  - ### setLineCount

    public VoiceAccount.Builder setLineCount(int value)

  - ### setDeviceState

    public VoiceAccount.Builder setDeviceState(VoiceAccountState deviceState)

  - ### setAccessCode

    public VoiceAccount.Builder setAccessCode(int accessCode)

  - ### setContractObjectId

    public VoiceAccount.Builder setContractObjectId(int contractObjectId)

  - ### setPorts

    public VoiceAccount.Builder setPorts(String ports)

  - ### build

    public VoiceAccount build()